# VEGAS JS CORE OpenSource library - Change Log

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/) and this project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]
### Added

## [1.0.27] - 2021-05-03
### Changed
- Adds the replacer:Function argument in the core.objects.clean function

## [1.0.26] - 2021-05-03
### Added
- Add the core.object.assignProperties function
- Add the core.object.removeProperties function

## [1.0.25] - 2021-05-01
### Added
- Add the core.object.isEmpty function

## [1.0.24] - 2021-03-27
### Added
- Add the core.arrays.move function
### Changed
- Update the package.json dependencies

## [1.0.23] - 2021-03-27
### Added
- Add the core.dom.isTouchDevice function
- Add the core.strings.pluralize function

## [1.0.22] - 2020-04-14
### Added
- Add the core.date.solveDST method (daylight saving time gap) + implement it in all add/subtract methods.
- Add the core.date.MONTH_PER_CENTURY constant
- Add the core.date.MONTH_PER_DECADE constant
- Add the core.date.MONTH_PER_YEAR constant
- Add the core.date.MS_PER_WEEK constant
- Add the core.date.daysInFebruary function
- Add the core.date.daysOf function
- Add the core.date.addWeeks function
- Add the core.date.addMonths function
- Add the core.date.addYears function
- Add the core.date.endOfWeek function
- Add the core.date.firstVisibleDay function
- Add the core.date.lastVisibleDay function
- Add the core.date.startOfWeek function
- Add the core.date.subtractMonths function
- Add the core.date.subtractWeeks function
- Add the core.date.subtractYears function
- Add the core.date.visibleDays function

## [1.0.21] - 2020-04-08
### Changed
- Update the core.functors.compose function, accept non function parameter and remove it.

## [1.0.20] - 2020-03-23
### Added
- Add the new core.arrays.empty function
- Add the new core.arrays.notEmpty function

## [1.0.19] - 2020-03-07
### Added
- Add the new core.arrays.inBetween function
- Add the new date.daysInYear function
- Add the new maths.floorMod function
### Changed
- Change the new date.daysInMonth function : the function accept always a Date parameter and now the pair (year,month) integer parameters, ex : daysOfMonth(2016,1)

## [1.0.18] - 2019-09-06
### Added
- Add the new date.MS_PER_DAY constant
- Add the new date.addDays function
- Add the new date.addHours function
- Add the new date.addMinutes function
- Add the new date.addMS function
- Add the new date.addSeconds function
- Add the new date.createDate function
- Add the new date.createUTCDate function
- Add the new date.daysToMonths function
- Add the new date.monthsToDays function
- Add the new date.subtractDays function
- Add the new date.subtractHours function
- Add the new date.subtractMinutes function
- Add the new date.subtractMS function
- Add the new date.subtractSeconds function

## [1.0.17] - 2019-08-16
### Added
- Add the new graphics.resizeHeightAndKeepAspectRatio function
- Add the new graphics.resizeWidthAndKeepAspectRatio function

## [1.0.16] - 2019-08-12
### Added
- Add the new isNotNull function

## [1.0.15] - 2019-04-13
### Added
- Add the new colors.hexToInt function

## [1.0.14] - 2019-04-13
### Added
- Add the new deepMergeAll function
- Add the new deepMerge function
- Add the new isPlainObject function
- Add the new isMergeableObject function
- Add the new isReactElement function (new package.json dev dependencies with react and @babel/preset-react, only for the unit test yet)
- Add the new canUseSymbol constant
- Add the new isNotNull function

## [1.0.13] - 2019-04-07
### Added
- Add the new colors.rgbIsDark function
- Add the new colors.hexIsDark function
- Add the new colors.rgbIsLight function
- Add the new colors.hexIsLight function
- Add the new colors.rgbToRgb function
- Add the new colors.hexToRgb function
- Add the new colors.rgbToHex function
- Add the new arrays.partition function
- Add the new objects.renameProperty function
- Add the new objects.removeProperty function
- Add the new arrays.distinct function 
- Add the new arrays.unique function 

## [1.0.12] - 2019-03-17
### Added
- Add the new isEmpty function 
- Add the new isNotEmpty function 

## [1.0.11] - 2019-02-26
### Changed
- Fix the new functors.memoize function

## [1.0.10] - 2019-02-26
### Added
- Add the new eq function
- Add the new isFunction function
- Add the new isSymbol function
- Add the new date.endOfMonth function
- Add the new date.endOfYear function
- Add the new date.startOfMonth function
- Add the new date.startOfYear function
- Add the new functors.memoize function
- Add the new functors.memoizeBounded function
- Add the new objects.get function
- Add the new objects.set function

## [1.0.9] - 2019-02-04
- Add the new objects.clean function

## [1.0.8] - 2019-01-08
### Added
- Add the new arrays.head function
- Add the new arrays.tail function
- Add the new functors.compose function

## [1.0.7] - 2018-12-16
- Add the new functors.debounce function
- Add the new functors.throttle function

## [1.0.5] - 2018-11-03
### Changed
- Change the /core folder name in /src
### Added
- Add the new isNil function
- Add the new numbers.clip function
- Add the new strings.empty function
- Add the new strings.notEmpty function
- Add the new strings.toString function

## [1.0.4] - 2018-10-28
### Added
- Change the name of the distribution files.

## [1.0.2] - 2018-10-24
### Added
- Add the version method

## [1.0.0] - 2018-03-07
### Added
- First version based on VEGAS JS 1.0.17

