"use strict" ;

import resizeHeightAndKeepAspectRatio from './graphics/resizeHeightAndKeepAspectRatio'
import resizeWidthAndKeepAspectRatio  from './graphics/resizeWidthAndKeepAspectRatio'

/**
 * The {@link core.graphics} package is a modular <b>JavaScript</b> library that provides extra <code>graphics</code> methods and implementations.
 * @summary The {@link core.graphics} package is a modular <b>JavaScript</b> library that provides extra <code>graphics</code> methods and implementations.
 * @license {@link https://www.mozilla.org/en-US/MPL/2.0/|MPL 2.0} / {@link https://www.gnu.org/licenses/old-licenses/gpl-2.0.fr.html|GPL 2.0} / {@link https://www.gnu.org/licenses/old-licenses/lgpl-2.1.fr.html|LGPL 2.1}
 * @author Marc Alcaraz <ekameleon@gmail.com>
 * @namespace core.graphics
 * @memberof core
 */
const numbers =
{
    resizeHeightAndKeepAspectRatio,
    resizeWidthAndKeepAspectRatio
} ;

export default numbers ;
